﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="..\packages\Microsoft.NetFramework.Analyzers.2.6.2\build\Microsoft.NetFramework.Analyzers.props" Condition="Exists('..\packages\Microsoft.NetFramework.Analyzers.2.6.2\build\Microsoft.NetFramework.Analyzers.props')" />
  <Import Project="..\packages\Microsoft.NetCore.Analyzers.2.6.2\build\Microsoft.NetCore.Analyzers.props" Condition="Exists('..\packages\Microsoft.NetCore.Analyzers.2.6.2\build\Microsoft.NetCore.Analyzers.props')" />
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{AC6ABA7E-B1C2-4D38-A775-7A8E00F9A407}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>ViewDemo</RootNamespace>
    <AssemblyName>ViewDemo</AssemblyName>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
    <BuildToolsFxCopVersion>1.0.1</BuildToolsFxCopVersion>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <RunCodeAnalysis>False</RunCodeAnalysis>
    <CodeAnalysisRuleSet>
    </CodeAnalysisRuleSet>
    <CodeAnalysisTreatWarningsAsErrors>True</CodeAnalysisTreatWarningsAsErrors>
    <RunCodeAnalysisRestore>False</RunCodeAnalysisRestore>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <RunCodeAnalysis>False</RunCodeAnalysis>
    <CodeAnalysisRuleSet>
    </CodeAnalysisRuleSet>
    <CodeAnalysisTreatWarningsAsErrors>True</CodeAnalysisTreatWarningsAsErrors>
    <RunCodeAnalysisRestore>True</RunCodeAnalysisRestore>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Functions">
      <HintPath>..\Functions\bin\Debug\Functions.dll</HintPath>
    </Reference>
    <Reference Include="MetroFramework, Version=1.4.0.0, Culture=neutral, PublicKeyToken=5f91a84759bf584a, processorArchitecture=MSIL">
      <HintPath>..\packages\MetroModernUI.1.4.0.0\lib\net\MetroFramework.dll</HintPath>
    </Reference>
    <Reference Include="MetroFramework.Design, Version=1.4.0.0, Culture=neutral, PublicKeyToken=5f91a84759bf584a, processorArchitecture=MSIL">
      <HintPath>..\packages\MetroModernUI.1.4.0.0\lib\net\MetroFramework.Design.dll</HintPath>
    </Reference>
    <Reference Include="MetroFramework.Fonts, Version=1.4.0.0, Culture=neutral, PublicKeyToken=5f91a84759bf584a, processorArchitecture=MSIL">
      <HintPath>..\packages\MetroModernUI.1.4.0.0\lib\net\MetroFramework.Fonts.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=8.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.8.0.3\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="NLog, Version=4.0.0.0, Culture=neutral, PublicKeyToken=5120e14c03d0593c">
      <HintPath>..\packages\NLog.4.5.11\lib\net45\NLog.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="OpenTK, Version=1.1.0.0, Culture=neutral, PublicKeyToken=bad199fe84eb3df4, processorArchitecture=MSIL">
      <HintPath>..\packages\OpenTK.1.1.2349.61993\lib\NET40\OpenTK.dll</HintPath>
    </Reference>
    <Reference Include="OpenTK.GLControl, Version=1.1.0.0, Culture=neutral, PublicKeyToken=bad199fe84eb3df4, processorArchitecture=MSIL">
      <HintPath>..\packages\OpenTK.GLControl.1.1.2349.61993\lib\NET40\OpenTK.GLControl.dll</HintPath>
    </Reference>
    <Reference Include="OxyPlot, Version=1.0.0.0, Culture=neutral, PublicKeyToken=638079a8f0bd61e9, processorArchitecture=MSIL">
      <HintPath>..\packages\OxyPlot.Core.1.0.0\lib\net45\OxyPlot.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="OxyPlot.WindowsForms, Version=1.0.0.0, Culture=neutral, PublicKeyToken=245eacd6b5d2d338, processorArchitecture=MSIL">
      <HintPath>..\packages\OxyPlot.WindowsForms.1.0.0\lib\net45\OxyPlot.WindowsForms.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="PresentationCore" />
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Transactions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="WindowsBase" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Dialogs\AbsolutMethodSettingsForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\AbsolutMethodSettingsForm.Designer.cs">
      <DependentUpon>AbsolutMethodSettingsForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialogs\ExaminSettings - Copy %282%29.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\ExaminSettings - Copy %282%29.Designer.cs">
      <DependentUpon>ExaminSettings - Copy %282%29.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialogs\ExaminSettings - Copy.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\ExaminSettings - Copy.Designer.cs">
      <DependentUpon>ExaminSettings - Copy.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialogs\SeriesExperimentCreationForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\SeriesExperimentCreationForm.Designer.cs">
      <DependentUpon>SeriesExperimentCreationForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\DashboardForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\DashboardForm.Designer.cs">
      <DependentUpon>DashboardForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\ExperimentForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\ExperimentForm.Designer.cs">
      <DependentUpon>ExperimentForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\KeyboardHelper.cs" />
    <Compile Include="Forms\MultidimExperimentForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\MultidimExperimentForm.Designer.cs">
      <DependentUpon>MultidimExperimentForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Presenters\ProblemaPresenter.cs" />
    <Compile Include="Presenters\SearchInformationPresenter.cs" />
    <Compile Include="Presenters\SeriesExperimentOperatorPresenter.cs" />
    <Compile Include="Presenters\SeriesExperimentPresenter.cs" />
    <Compile Include="Properties controls\DoubleInput.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Properties controls\DoubleInput.Designer.cs">
      <DependentUpon>DoubleInput.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialogs\ExaminSettings.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\ExaminSettings.Designer.cs">
      <DependentUpon>ExaminSettings.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialogs\ExperimentCreationForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\ExperimentCreationForm.Designer.cs">
      <DependentUpon>ExperimentCreationForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialogs\FormulaInputDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\FormulaInputDialog.Designer.cs">
      <DependentUpon>FormulaInputDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Series\ExperimentsDemo.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Series\ExperimentsDemo.designer.cs">
      <DependentUpon>ExperimentsDemo.cs</DependentUpon>
    </Compile>
    <Compile Include="Views\Drawables\CustomPointsSet2d.cs" />
    <Compile Include="Views\Drawables\CustomPointsSet3d.cs" />
    <Compile Include="Views\Drawables\MethodPointsDataSource.cs" />
    <Compile Include="Views\Drawables\MultidimMainFunction3dView.cs" />
    <Compile Include="Views\Drawables\MultidimPointsOnPlot.cs" />
    <Compile Include="Views\User controls\CustomProblem3dPlot.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Views\User controls\CustomProblem3dPlot.Designer.cs">
      <DependentUpon>CustomProblem3dPlot.cs</DependentUpon>
    </Compile>
    <Compile Include="Views\User controls\FunctionalsList.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Views\User controls\FunctionalsList.Designer.cs">
      <DependentUpon>FunctionalsList.cs</DependentUpon>
    </Compile>
    <Compile Include="Views\User controls\MultidimFunction3dPlot.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Views\User controls\MultidimMainFunction.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Views\User controls\MultidimMainFunction.Designer.cs">
      <DependentUpon>MultidimMainFunction.cs</DependentUpon>
    </Compile>
    <Compile Include="Views\User controls\ProblemaControl.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Views\User controls\ProblemaControl.Designer.cs">
      <DependentUpon>ProblemaControl.cs</DependentUpon>
    </Compile>
    <Compile Include="Views\User controls\SliceEditorControl.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Views\User controls\SliceEditorControl.Designer.cs">
      <DependentUpon>SliceEditorControl.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\SliceEditorForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\SliceEditorForm.Designer.cs">
      <DependentUpon>SliceEditorForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Properties controls\StringInput.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Properties controls\StringInput.Designer.cs">
      <DependentUpon>StringInput.cs</DependentUpon>
    </Compile>
    <Compile Include="Views\Drawables\CoordinatesDistributionViewPeano.cs" />
    <Compile Include="Views\User controls\Function2dPlot.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Views\FunctionWindow\FunctionIsolines.cs" />
    <Compile Include="Views\FunctionWindow\Function2dView.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Views\FunctionWindow\FunctionViewControl.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Views\FunctionWindow\FunctionWindow.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Views\FunctionWindow\FunctionWindow.Designer.cs">
      <DependentUpon>FunctionWindow.cs</DependentUpon>
    </Compile>
    <Compile Include="Views\User controls\Function3dPlot.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Properties controls\IntInput.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Properties controls\IntInput.Designer.cs">
      <DependentUpon>IntInput.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialogs\MethodChooseDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\MethodChooseDialog.Designer.cs">
      <DependentUpon>MethodChooseDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Presenters\ExperimentPointsPresenter.cs" />
    <Compile Include="Presenters\ExperimentPresenter.cs" />
    <Compile Include="Views\Drawables\CoordinatesDistributionView.cs" />
    <Compile Include="Views\FunctionWindow\FunctionView.cs" />
    <Compile Include="Views\Labels\BestPointLabel.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Views\Labels\BestPointLabel.Designer.cs">
      <DependentUpon>BestPointLabel.cs</DependentUpon>
    </Compile>
    <Compile Include="Views\Labels\CurrentPointLabel.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Views\Labels\CurrentPointLabel.Designer.cs">
      <DependentUpon>CurrentPointLabel.cs</DependentUpon>
    </Compile>
    <Compile Include="Views\Drawables\MainFunction3dView.cs" />
    <Compile Include="Views\Drawables\MainFunctionIsoLineView.cs" />
    <Compile Include="Views\Drawables\MainFunctionPeanoView.cs" />
    <Compile Include="Views\Drawables\MainFunctionTemperatureMapView.cs" />
    <Compile Include="Dialogs\ParametersDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\ParametersDialog.Designer.cs">
      <DependentUpon>ParametersDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Views\Drawables\PointsDiagrammView.cs" />
    <Compile Include="Views\User controls\MainFunctionn2dView.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Views\User controls\PointsDistributionView.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Views\Drawables\PointsOnPlot2D.cs" />
    <Compile Include="Views\Drawables\PointsOnPlotPeano.cs" />
    <Compile Include="Views\ViewInterfaces\IBestPointView.cs" />
    <Compile Include="Views\ViewInterfaces\IExperimentPointsView.cs" />
    <Compile Include="Views\ViewInterfaces\IExperimentView.cs" />
    <Compile Include="Views\ViewInterfaces\IMainFunctionView.cs" />
    <Compile Include="Views\ViewInterfaces\IMethodView.cs" />
    <Compile Include="Views\Labels\CurrentIterationLabel.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Views\Labels\CurrentIterationLabel.Designer.cs">
      <DependentUpon>CurrentIterationLabel.cs</DependentUpon>
    </Compile>
    <Compile Include="Presenters\MainFunctionPresenter.cs" />
    <Compile Include="Forms\StartForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\StartForm.Designer.cs">
      <DependentUpon>StartForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Presenters\MethodPresenter.cs" />
    <Compile Include="Views\Drawables\PointsOnPlot.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Views\ViewInterfaces\IProblemaView.cs" />
    <Compile Include="Views\ViewInterfaces\ISearchInformationView.cs" />
    <Compile Include="Views\ViewInterfaces\ISeriesExperimentsView.cs" />
    <Compile Include="Views\ViewInterfaces\ISeriesExperimentView.cs" />
    <Compile Include="Views\ViewInterfaces\ISlicesUser.cs" />
    <EmbeddedResource Include="Dialogs\AbsolutMethodSettingsForm.resx">
      <DependentUpon>AbsolutMethodSettingsForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialogs\ExaminSettings - Copy %282%29.resx">
      <DependentUpon>ExaminSettings - Copy %282%29.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialogs\ExaminSettings - Copy.resx">
      <DependentUpon>ExaminSettings - Copy.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialogs\SeriesExperimentCreationForm.resx">
      <DependentUpon>SeriesExperimentCreationForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\DashboardForm.resx">
      <DependentUpon>DashboardForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\ExperimentForm.resx">
      <DependentUpon>ExperimentForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\MultidimExperimentForm.resx">
      <DependentUpon>MultidimExperimentForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties controls\DoubleInput.resx">
      <DependentUpon>DoubleInput.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialogs\ExaminSettings.resx">
      <DependentUpon>ExaminSettings.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialogs\ExperimentCreationForm.resx">
      <DependentUpon>ExperimentCreationForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialogs\FormulaInputDialog.resx">
      <DependentUpon>FormulaInputDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Series\ExperimentsDemo.resx">
      <DependentUpon>ExperimentsDemo.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\User controls\CustomProblem3dPlot.resx">
      <DependentUpon>CustomProblem3dPlot.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\User controls\FunctionalsList.resx">
      <DependentUpon>FunctionalsList.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\User controls\MultidimFunction3dPlot.resx">
      <DependentUpon>MultidimFunction3dPlot.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\User controls\MultidimMainFunction.resx">
      <DependentUpon>MultidimMainFunction.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\User controls\ProblemaControl.resx">
      <DependentUpon>ProblemaControl.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\User controls\SliceEditorControl.resx">
      <DependentUpon>SliceEditorControl.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\SliceEditorForm.resx">
      <DependentUpon>SliceEditorForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties controls\StringInput.resx">
      <DependentUpon>StringInput.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\User controls\Function2dPlot.resx">
      <DependentUpon>Function2dPlot.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\User controls\Function3dPlot.resx">
      <DependentUpon>Function3dPlot.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\FunctionWindow\Function2dView.resx">
      <DependentUpon>Function2dView.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\FunctionWindow\FunctionWindow.resx">
      <DependentUpon>FunctionWindow.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties controls\IntInput.resx">
      <DependentUpon>IntInput.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialogs\MethodChooseDialog.resx">
      <DependentUpon>MethodChooseDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\Labels\BestPointLabel.resx">
      <DependentUpon>BestPointLabel.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Views\Labels\CurrentIterationLabel.resx">
      <DependentUpon>CurrentIterationLabel.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\StartForm.resx">
      <DependentUpon>StartForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <EmbeddedResource Include="Views\Labels\CurrentPointLabel.resx">
      <DependentUpon>CurrentPointLabel.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialogs\ParametersDialog.resx">
      <DependentUpon>ParametersDialog.cs</DependentUpon>
    </EmbeddedResource>
    <None Include="packages.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Absolut Model\AbsolutKernel.csproj">
      <Project>{AE31CC7E-A6AC-4619-B6EA-0122F85F91DC}</Project>
      <Name>AbsolutKernel</Name>
    </ProjectReference>
    <ProjectReference Include="..\Algs\Absolut_alg.csproj">
      <Project>{8a814f97-efe1-4314-b144-9ce54f596eca}</Project>
      <Name>Absolut_alg</Name>
    </ProjectReference>
    <ProjectReference Include="..\CustomProperties\CustomProperties.csproj">
      <Project>{f6ae4328-2a70-4bc2-8a04-da99be81e672}</Project>
      <Name>CustomProperties</Name>
    </ProjectReference>
    <ProjectReference Include="..\Graphics\Rendering.csproj">
      <Project>{56D14D27-FBB9-49FD-8293-91694C4CD373}</Project>
      <Name>Rendering</Name>
    </ProjectReference>
    <ProjectReference Include="..\Properties\Properties.csproj">
      <Project>{d72e7198-c9a8-4413-8a8e-9efb069b0493}</Project>
      <Name>Properties</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Analyzer Include="..\packages\Microsoft.NetCore.Analyzers.2.6.2\analyzers\dotnet\cs\Microsoft.NetCore.Analyzers.dll" />
    <Analyzer Include="..\packages\Microsoft.NetCore.Analyzers.2.6.2\analyzers\dotnet\cs\Microsoft.NetCore.CSharp.Analyzers.dll" />
    <Analyzer Include="..\packages\Microsoft.NetFramework.Analyzers.2.6.2\analyzers\dotnet\cs\Microsoft.NetFramework.Analyzers.dll" />
    <Analyzer Include="..\packages\Microsoft.NetFramework.Analyzers.2.6.2\analyzers\dotnet\cs\Microsoft.NetFramework.CSharp.Analyzers.dll" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Use NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('..\packages\Microsoft.NetCore.Analyzers.2.6.2\build\Microsoft.NetCore.Analyzers.props')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Microsoft.NetCore.Analyzers.2.6.2\build\Microsoft.NetCore.Analyzers.props'))" />
    <Error Condition="!Exists('..\packages\Microsoft.NetFramework.Analyzers.2.6.2\build\Microsoft.NetFramework.Analyzers.props')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Microsoft.NetFramework.Analyzers.2.6.2\build\Microsoft.NetFramework.Analyzers.props'))" />
  </Target>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>